• Resolved benetel

    (@benetel)


    Hi,
    I used to use “Subscribe 2 widget” to enable my readers to subscribe to newly posted articles. I had to stop using this widget as I moved my site from php 5.4 to php7.1

    But I still use the plugins “subscribe 2”, how can I add a widget in my site for new readers, without using “subscribe 2 widget” ?

    Thanks,

Viewing 4 replies - 1 through 4 (of 4 total)
  • Why not use the “subscribe2 widget” ? I don’t know about PHP7.1, but with 7.4, it seems to work fine. If there is a problem with PHP7.1, you could try to upgrade. Or maybe the problem is somewhere else ?

    @benetel

    Enable (if needed in Subscribe2 > Settings under the Appearance ytab) and use the built in widget.

    Thread Starter benetel

    (@benetel)

    After having moved to php 7.1 the “subscribe 2 widget” generates the following error messages that displays in the header of my site:

    “Warning: Declaration of subscribe2_widget::addPluginSubMenu() should be compatible with mijnpress_plugin_framework::addPluginSubMenu($title, $function, $file, $capability = 10, $where = ‘plugins.ph…’) in /home/venarbol/public_html/wp-content/plugins/subscribe2-widget/subscribe2-widget.php on line 18”

    I was thus constrained to deactivate it.

    • This reply was modified 1 year, 2 months ago by benetel.
    Thread Starter benetel

    (@benetel)

    Thanks Mattyrob, it works!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Widget integration’ is closed to new replies.